"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Box = _interopRequireDefault(require("../../components/Box"));
var _Text = _interopRequireDefault(require("../../components/Text"));
var _createStyleSheet = _interopRequireDefault(require("../../styles/createStyleSheet"));
var _useUIKitTheme = _interopRequireDefault(require("../../theme/useUIKitTheme"));
var _CustomComponentCtx = require("../../context/CustomComponentCtx");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const AdminMessage = props => {
  const {
    colors
  } = (0, _useUIKitTheme.default)();
  const ctx = (0, _react.useContext)(_CustomComponentCtx.CustomComponentContext);
  if (ctx !== null && ctx !== void 0 && ctx.renderAdminMessage) {
    return ctx.renderAdminMessage({
      message: props.message.message
    });
  }
  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    caption2: true,
    color: colors.onBackground02,
    style: styles.text
  }, props.message.message));
};
const styles = (0, _createStyleSheet.default)({
  container: {
    width: 300,
    alignSelf: 'center',
    alignItems: 'center'
  },
  text: {
    textAlign: 'center'
  }
});
var _default = AdminMessage;
exports.default = _default;
//# sourceMappingURL=Message.admin.js.map