"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _uikitUtils = require("@gathertown/uikit-utils");
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../../components/Box"));
var _Text = _interopRequireDefault(require("../../components/Text"));
var _CustomComponentCtx = require("../../context/CustomComponentCtx");
var _createStyleSheet = _interopRequireDefault(require("../../styles/createStyleSheet"));
var _useUIKitTheme = _interopRequireDefault(require("../../theme/useUIKitTheme"));
var _Avatar = _interopRequireDefault(require("../Avatar"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const MessageContainer = props => {
  const ctx = (0, _react.useContext)(_CustomComponentCtx.CustomComponentContext);
  if (props.variant === 'incoming') {
    return /*#__PURE__*/_react.default.createElement(MessageContainer.Incoming, _extends({}, props, {
      renderMessageContainer: ctx === null || ctx === void 0 ? void 0 : ctx.renderIncomingMessageContainer
    }));
  } else {
    return /*#__PURE__*/_react.default.createElement(MessageContainer.Outgoing, _extends({}, props, {
      renderMessageContainer: ctx === null || ctx === void 0 ? void 0 : ctx.renderOutgoingMessageContainer
    }));
  }
};
MessageContainer.Incoming = function MessageContainerIncoming(_ref) {
  var _message$sender;
  let {
    children,
    groupedWithNext,
    groupedWithPrev,
    message,
    onPressAvatar,
    strings,
    parentMessage,
    renderMessageContainer
  } = _ref;
  const {
    colors
  } = (0, _useUIKitTheme.default)();
  const color = colors.ui.groupChannelMessage.incoming;
  if (renderMessageContainer) {
    return renderMessageContainer === null || renderMessageContainer === void 0 ? void 0 : renderMessageContainer({
      content: children,
      groupedWithNext,
      groupedWithPrev,
      playerId: (0, _uikitUtils.isSendableMessage)(message) ? message.sender.userId : '',
      displayedTime: (strings === null || strings === void 0 ? void 0 : strings.sentDate) ?? (0, _uikitUtils.getMessageTimeFormat)(new Date(message.createdAt))
    });
  }
  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    alignItems: 'flex-end'
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    width: 26,
    marginRight: 12
  }, (message.isFileMessage() || message.isUserMessage()) && !groupedWithNext && /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: onPressAvatar
  }, /*#__PURE__*/_react.default.createElement(_Avatar.default, {
    size: 26,
    uri: (_message$sender = message.sender) === null || _message$sender === void 0 ? void 0 : _message$sender.profileUrl
  }))), /*#__PURE__*/_react.default.createElement(_Box.default, {
    flexShrink: 1
  }, parentMessage, !groupedWithPrev && !message.parentMessage && /*#__PURE__*/_react.default.createElement(_Box.default, {
    marginLeft: 12,
    marginBottom: 4
  }, (message.isFileMessage() || message.isUserMessage()) && /*#__PURE__*/_react.default.createElement(_Text.default, {
    caption1: true,
    color: color.enabled.textSenderName,
    numberOfLines: 1
  }, (strings === null || strings === void 0 ? void 0 : strings.senderName) ?? message.sender.nickname)), /*#__PURE__*/_react.default.createElement(_Box.default, {
    flexDirection: 'row',
    alignItems: 'flex-end'
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    style: styles.bubble
  }, children), !groupedWithNext && /*#__PURE__*/_react.default.createElement(_Box.default, {
    marginLeft: 4
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    caption4: true,
    color: color.enabled.textTime
  }, (strings === null || strings === void 0 ? void 0 : strings.sentDate) ?? (0, _uikitUtils.getMessageTimeFormat)(new Date(message.createdAt)))))));
};
MessageContainer.Outgoing = function MessageContainerOutgoing(_ref2) {
  let {
    children,
    message,
    groupedWithNext,
    groupedWithPrev,
    strings,
    sendingStatus,
    parentMessage,
    renderMessageContainer
  } = _ref2;
  const {
    colors
  } = (0, _useUIKitTheme.default)();
  const color = colors.ui.groupChannelMessage.outgoing;
  if (renderMessageContainer) {
    return renderMessageContainer({
      content: children,
      groupedWithNext,
      groupedWithPrev,
      displayedTime: (strings === null || strings === void 0 ? void 0 : strings.sentDate) ?? (0, _uikitUtils.getMessageTimeFormat)(new Date(message.createdAt))
    });
  }
  return /*#__PURE__*/_react.default.createElement(_Box.default, null, parentMessage, /*#__PURE__*/_react.default.createElement(_Box.default, {
    flexDirection: 'row',
    justifyContent: 'flex-end',
    alignItems: 'flex-end'
  }, /*#__PURE__*/_react.default.createElement(_Box.default, {
    flexDirection: 'row',
    alignItems: 'flex-end',
    justifyContent: 'center'
  }, sendingStatus && /*#__PURE__*/_react.default.createElement(_Box.default, {
    marginRight: 4
  }, sendingStatus), !groupedWithNext && /*#__PURE__*/_react.default.createElement(_Box.default, {
    marginRight: 4
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    caption4: true,
    color: color.enabled.textTime
  }, (strings === null || strings === void 0 ? void 0 : strings.sentDate) ?? (0, _uikitUtils.getMessageTimeFormat)(new Date(message.createdAt))))), /*#__PURE__*/_react.default.createElement(_Box.default, {
    style: styles.bubble
  }, children)));
};
const styles = (0, _createStyleSheet.default)({
  bubble: {
    maxWidth: 240,
    overflow: 'hidden',
    flexShrink: 1
  }
});
var _default = MessageContainer;
exports.default = _default;
//# sourceMappingURL=MessageContainer.js.map