import React, { useContext } from 'react';
import { getThumbnailUriFromFileMessage } from '@gathertown/uikit-utils';
import Box from '../../components/Box';
import ImageWithPlaceholder from '../../components/ImageWithPlaceholder';
import PressBox from '../../components/PressBox';
import createStyleSheet from '../../styles/createStyleSheet';
import useUIKitTheme from '../../theme/useUIKitTheme';
import MessageContainer from './MessageContainer';
import { CustomComponentContext } from '../../context/CustomComponentCtx';
const ImageFileMessage = props => {
  const {
    onPress,
    onLongPress,
    variant = 'incoming'
  } = props;
  const ctx = useContext(CustomComponentContext);
  const {
    colors
  } = useUIKitTheme();
  const content = /*#__PURE__*/React.createElement(ImageWithPlaceholder, {
    source: {
      uri: getThumbnailUriFromFileMessage(props.message)
    },
    style: styles.image
  });
  return /*#__PURE__*/React.createElement(MessageContainer, props, /*#__PURE__*/React.createElement(PressBox, {
    activeOpacity: 0.8,
    onPress: onPress,
    onLongPress: onLongPress
  }, ctx !== null && ctx !== void 0 && ctx.renderGenericMessage ? ctx.renderGenericMessage({
    content
  }) : /*#__PURE__*/React.createElement(Box, {
    style: styles.container,
    backgroundColor: colors.ui.groupChannelMessage[variant].enabled.background
  }, content)), props.children);
};
const styles = createStyleSheet({
  container: {
    borderRadius: 16,
    overflow: 'hidden'
  },
  image: {
    maxWidth: 240,
    width: 240,
    height: 160,
    borderRadius: 16,
    overflow: 'hidden'
  }
});
export default ImageFileMessage;
//# sourceMappingURL=Message.file.image.js.map