import React, { useContext } from 'react';
import { getThumbnailUriFromFileMessage } from '@gathertown/uikit-utils';
import Box from '../../components/Box';
import PressBox from '../../components/PressBox';
import { VideoThumbnail } from '../../components/VideoThumbnail';
import createStyleSheet from '../../styles/createStyleSheet';
import useUIKitTheme from '../../theme/useUIKitTheme';
import MessageContainer from './MessageContainer';
import { CustomComponentContext } from '../../context/CustomComponentCtx';
const VideoFileMessage = props => {
  const {
    onPress,
    onLongPress,
    variant = 'incoming'
  } = props;
  const ctx = useContext(CustomComponentContext);
  const {
    colors
  } = useUIKitTheme();
  const uri = getThumbnailUriFromFileMessage(props.message);
  const content = /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(VideoThumbnail, {
    style: styles.image,
    source: uri,
    fetchThumbnailFromVideoSource: props.fetchThumbnailFromVideoSource
  }), props.children);
  return /*#__PURE__*/React.createElement(MessageContainer, props, /*#__PURE__*/React.createElement(PressBox, {
    activeOpacity: 0.8,
    onPress: onPress,
    onLongPress: onLongPress
  }, ctx !== null && ctx !== void 0 && ctx.renderGenericMessage ? ctx.renderGenericMessage({
    content
  }) : /*#__PURE__*/React.createElement(Box, {
    style: styles.container,
    backgroundColor: colors.ui.groupChannelMessage[variant].enabled.background
  }, content)));
};
const styles = createStyleSheet({
  container: {
    borderRadius: 16,
    overflow: 'hidden'
  },
  image: {
    maxWidth: 240,
    width: 240,
    height: 160,
    borderRadius: 16,
    overflow: 'hidden'
  },
  playIcon: {
    padding: 10,
    borderRadius: 50
  }
});
export default VideoFileMessage;
//# sourceMappingURL=Message.file.video.js.map