import React, { useContext } from 'react';
import Box from '../../components/Box';
import PressBox from '../../components/PressBox';
import Text from '../../components/Text';
import createStyleSheet from '../../styles/createStyleSheet';
import useUIKitTheme from '../../theme/useUIKitTheme';
import MessageContainer from './MessageContainer';
import { CustomComponentContext } from '../../context/CustomComponentCtx';
const UnknownMessage = props => {
  var _props$strings, _props$strings2;
  const {
    variant = 'incoming'
  } = props;
  const ctx = useContext(CustomComponentContext);
  const {
    colors
  } = useUIKitTheme();
  const color = colors.ui.groupChannelMessage['incoming'];
  const titleColor = variant === 'incoming' ? colors.onBackground01 : colors.onBackgroundReverse01;
  const descColor = variant === 'incoming' ? colors.onBackground02 : colors.onBackgroundReverse02;
  const title = ((_props$strings = props.strings) === null || _props$strings === void 0 ? void 0 : _props$strings.unknownTitle) ?? '(Unknown message type)';
  const description = ((_props$strings2 = props.strings) === null || _props$strings2 === void 0 ? void 0 : _props$strings2.unknownDescription) ?? 'Cannot read this message.';
  return /*#__PURE__*/React.createElement(MessageContainer, props, /*#__PURE__*/React.createElement(PressBox, {
    onPress: props.onPress,
    onLongPress: props.onLongPress
  }, _ref => {
    let {
      pressed
    } = _ref;
    return ctx !== null && ctx !== void 0 && ctx.renderUnknownMessage ? ctx.renderUnknownMessage({
      title,
      description
    }) : /*#__PURE__*/React.createElement(Box, {
      style: styles.bubble,
      backgroundColor: pressed ? color.pressed.background : color.enabled.background
    }, /*#__PURE__*/React.createElement(Text, {
      body3: true,
      color: titleColor
    }, title), /*#__PURE__*/React.createElement(Text, {
      body3: true,
      color: descColor
    }, description));
  }));
};
const styles = createStyleSheet({
  bubble: {
    paddingVertical: 6,
    paddingHorizontal: 12,
    borderRadius: 16
  }
});
export default UnknownMessage;
//# sourceMappingURL=Message.unknown.js.map