import React, { useContext } from 'react';
import Box from '../../components/Box';
import PressBox from '../../components/PressBox';
import { CustomComponentContext } from '../../context/CustomComponentCtx';
import createStyleSheet from '../../styles/createStyleSheet';
import useUIKitTheme from '../../theme/useUIKitTheme';
import MessageBubbleWithText from './MessageBubbleWithText';
import MessageContainer from './MessageContainer';
const UserMessage = props => {
  const ctx = useContext(CustomComponentContext);
  const {
    variant = 'incoming',
    children
  } = props;
  const {
    colors
  } = useUIKitTheme();
  const color = colors.ui.groupChannelMessage[variant];
  return /*#__PURE__*/React.createElement(MessageContainer, props, /*#__PURE__*/React.createElement(PressBox, {
    activeOpacity: 0.8,
    onPress: props.onPress,
    onLongPress: props.onLongPress
  }, _ref => {
    var _props$strings;
    let {
      pressed
    } = _ref;
    return ctx !== null && ctx !== void 0 && ctx.renderUserMessage ? ctx.renderUserMessage({
      pressed,
      isEdited: Boolean(props.message.updatedAt) && !!((_props$strings = props.strings) !== null && _props$strings !== void 0 && _props$strings.edited),
      message: props.message,
      children
    }) : /*#__PURE__*/React.createElement(Box, {
      backgroundColor: pressed ? color.pressed.background : color.enabled.background,
      style: styles.container
    }, /*#__PURE__*/React.createElement(MessageBubbleWithText, props), children);
  }));
};
const styles = createStyleSheet({
  container: {
    overflow: 'hidden',
    borderRadius: 16
  }
});
export default UserMessage;
//# sourceMappingURL=Message.user.js.map