import type { SendbirdMessage } from '@gathertown/uikit-utils';
import React from 'react';
import type { GroupChannelMessageProps } from './index';
export type IncomingMessageContainerRenderProp = (props: {
    content: React.ReactNode;
    groupedWithNext: boolean;
    groupedWithPrev: boolean;
    playerId: string;
    displayedTime: string;
}) => React.ReactElement;
export type OutgoingMessageContainerRenderProp = (props: {
    content: React.ReactNode;
    groupedWithNext: boolean;
    groupedWithPrev: boolean;
    displayedTime: string;
}) => React.ReactElement;
type Props = GroupChannelMessageProps<SendbirdMessage>;
declare const MessageContainer: {
    (props: Props): JSX.Element;
    Incoming({ children, groupedWithNext, groupedWithPrev, message, onPressAvatar, strings, parentMessage, renderMessageContainer, }: {
        channel: import("@sendbird/chat/groupChannel").GroupChannel;
        message: SendbirdMessage;
        variant?: "incoming" | "outgoing" | undefined;
        strings?: {
            senderName?: string | undefined;
            sentDate?: string | undefined;
            edited?: string | undefined;
            fileName?: string | undefined;
            unknownTitle?: string | undefined;
            unknownDescription?: string | undefined;
        } | undefined;
        children?: React.ReactNode;
        sendingStatus?: React.ReactNode;
        parentMessage?: React.ReactNode;
        groupedWithPrev: boolean;
        groupedWithNext: boolean;
        onPress?: (() => void) | undefined;
        onLongPress?: (() => void) | undefined;
        onPressAvatar?: (() => void) | undefined;
        onPressURL?: ((url: string) => void) | undefined;
        onPressMentionedUser?: ((mentionedUser?: import("@sendbird/chat").User | undefined) => void) | undefined;
    } & {
        renderMessageContainer?: IncomingMessageContainerRenderProp | undefined;
    }): JSX.Element;
    Outgoing({ children, message, groupedWithNext, groupedWithPrev, strings, sendingStatus, parentMessage, renderMessageContainer, }: {
        channel: import("@sendbird/chat/groupChannel").GroupChannel;
        message: SendbirdMessage;
        variant?: "incoming" | "outgoing" | undefined;
        strings?: {
            senderName?: string | undefined;
            sentDate?: string | undefined;
            edited?: string | undefined;
            fileName?: string | undefined;
            unknownTitle?: string | undefined;
            unknownDescription?: string | undefined;
        } | undefined;
        children?: React.ReactNode;
        sendingStatus?: React.ReactNode;
        parentMessage?: React.ReactNode;
        groupedWithPrev: boolean;
        groupedWithNext: boolean;
        onPress?: (() => void) | undefined;
        onLongPress?: (() => void) | undefined;
        onPressAvatar?: (() => void) | undefined;
        onPressURL?: ((url: string) => void) | undefined;
        onPressMentionedUser?: ((mentionedUser?: import("@sendbird/chat").User | undefined) => void) | undefined;
    } & {
        renderMessageContainer?: OutgoingMessageContainerRenderProp | undefined;
    }): JSX.Element;
};
export default MessageContainer;
